.footer {
  max-width: 1600px;
  padding: 0 20px 20px 20px;
  background: var(--primary-bg-color);
  display: flex;
  flex-direction: column;
  align-items: center;
}

.footer__link-list {
  width: 100%;
  padding: 40px 10px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 32px;
  border-top: 1px solid #fff72e;
}

.footer__link-list > li {
  position: relative;
}

.footer__link-list > li:not(:first-child)::before {
  content: "";
  position: absolute;
  height: 18px;
  top: 50%;
  left: -18px;
  transform: translateY(-50%);
  border-left: 2px solid #fff72e;
}

.footer__link-list a {
  display: inline-block;
  padding: 2px 16px;
  color: #d8d3d3;
  font-size: 14px;
  font-weight: 500;
  line-height: normal;
  text-transform: uppercase;
  text-align: center;
}

.footer__link-list a:hover,
.footer__link-list a:active,
.footer__link-list a:focus {
  color: var(--primary-text-color);
}

.footer__languages-list {
  position: relative;
  padding: 40px 20px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 12px;
  border-top: 1px solid #fff72e;
}

.footer__languages-item > a {
  padding: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  border: 1px solid transparent;
  border-radius: 8px;
  background-color: var(--secondary-bg-color);
  font-weight: 700;
  font-size: 14px;
  color: var(--primary-text-color);
  line-height: normal;
  transition: border-color var(--primary-transition);
}

.footer__languages-item > a:hover,
.footer__languages-item > a:active,
.footer__languages-item > a:focus {
  border-color: rgba(150, 0, 3, 0.7);
}

.footer__bottom {
  padding: 30px 20px 10px 20px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  border-top: 1px solid #fff72e;
}

.footer__age {
  display: flex;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: #eb3d3a;
  padding: 8px;
  justify-content: center;
  align-items: center;
  color: var(--primary-text-color);
  font-size: 14px;
  font-weight: 400;
  line-height: normal;
}

.footer__copy * {
  margin: 0;
}

.footer__copy {
  text-align: center;
  max-width: 323px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: rgba(255, 255, 255, 0.6);
  font-size: 12px;
  font-weight: 400;
  line-height: 1.16;
}
